---
basics:
  name: Aaron L.
  email: hello@lgrv.net
  url: https://a.lgrv.net
  summary: Product Engineer, Applied AI
  location:
    city: London
    countryCode: GB
skills:
  - name: Product Engineering
    keywords:
      - Architects and builds high-quality agentic AI products
      - Works effectively with AI to develop robust, high-quality systems
      - Capable of solving tough product problems and perfecting user experience
      - Able to find subject matter expertise quickly and understand user mindset
  - name: Computer Programming
    keywords:
      - 8 years of experience using code to solve business problems
      - Proficient in Python, Go, JavaScript/TypeScript
      - Homelab sysadmin
work:
  - name: Stream (formerly Wagestream)
    summary: Workplace financial services
    position: Senior Software Engineer
    startDate: "2025-09-01"
    endDate: ~
    highlights:
      - Built internal agentic AI chat platform for all business users (think Claude Cowork)
      - Created or forked custom MCP tools for all internal data and SaaS products
      - Added key features like context compaction, user memory and sandboxed code execution
      - After 1 month, over half the staff were weekly active users
      - Common to hear user feedback like "this would have taken me days, now just an afternoon"
      - Created vibe-driven slide deck creation and presentation tool
      - Now working with teams to automate workflows and build human knowledge into the platform as skills
  - name: Stream (formerly Wagestream)
    summary: Workplace financial services
    position: Software Engineer
    startDate: "2024-05-14"
    endDate: "2025-09-01"
    highlights:
      - Built and maintained integrations to dozens of HR/Payroll data systems
      - Worked as assigned launch engineer providing white-glove service for strategic clients
      - Responsible for over £100k MRR / 220k users of clients launched
      - Created an integrations platform product improvement process from scratch
      - Process ensured we delivered useful features for Solutions and Delivery users
  - name: Essentia Analytics
    summary: Behavioural analytics for investment professionals
    position: Software Engineer
    startDate: "2022-01-14"
    endDate: "2024-05-02"
    highlights:
      - Built new serverless, event-driven data platform on AWS
      - Ran ETL on daily trading and holdings data from major hedge funds
      - Lambda and Step Function compute for low-cost processing
  - name: Marks & Spencer
    summary: Multichannel retailer
    position: Data Analyst
    startDate: "2019-07-01"
    endDate: "2022-01-10"
    highlights:
      - A/B testing lead, working on online clothing recommendations
projects:
  - name: Clipcast
    description: Podcast server with AI advert detection and removal
    url: https://github.com/elgrove/clipcast
  - name: Cookmarks
    description: Uses AI to extract and organise recipes from digital cookbooks
    url: https://github.com/elgrove/cookmarks
education:
  - institution: Manchester Metropolitan University
    area: Economics
    studyType: BSc
    score: "2:1"
  - institution: BCS
    area: Machine Learning
    studyType: Level 4 Diploma
